#include <curses.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <ctype.h>
#include <signal.h>
#include <setjmp.h>
#include <assert.h>
#include <locale.h>
#include <errno.h>
#include <unistd.h>
#include <fcntl.h>

#if !defined(NUL)
    #define NUL 0
#endif
#define RAND_OK_MAX (int)(((unsigned long) RAND_MAX + 1) / 26 * 26 - 1)
#define WBKGD(x, y) wbkgd(x, COLOR_PAIR(y))
#define BUFFER 4096

void curses_main_window(void)
{
    initscr(); /*开始，初始化屏幕与数据*/
    cbreak();  /*关闭缓冲，可以中断*/
    noecho();  /*关闭按显示*/

    /*顔色相关*/
    start_color();
    init_pair(1, COLOR_WHITE, COLOR_BLACK);
    init_pair(2, COLOR_YELLOW, COLOR_BLUE);
    init_pair(3, COLOR_RED, COLOR_YELLOW);
    init_pair(4, 7, COLOR_BLACK);
    init_pair(5, COLOR_GREEN, COLOR_YELLOW);
    init_pair(6, COLOR_RED, COLOR_BLUE);
    bkgd(COLOR_PAIR(1));  /*主屏幕的前景与背景色*/
    /*颜色相关*/

    /*键盘与光标*/
    keypad(stdscr, TRUE); /*键盘控制*/
    curs_set(FALSE);       /*光标是否显示*/


    refresh(); /*刷新显示屏幕*/
}
